import ee
ee.Authenticate()
ee.Initialize()

import os, re
import pandas as pd
import ee
from gee_subset import gee_subset
import geopandas as gpd

pnts = gpd.read_file("D:/gee_examples/points.shp")
pnts.head()

cnt = len(pnts)
siteSet = list(range(0, cnt, 1))
print(cnt), print(siteSet)

for i in siteSet:
    df1 = gee_subset.gee_subset(product = "LANDSAT/LC08/C01/T1_SR", bands = ["B1", "B2", "B3", "B4", "B5", "B6", "B7", "B10","B11", "sr_aerosol", "pixel_qa", "radsat_qa"], 
                                start_date = "2018-04-11", 
                                end_date = "2020-12-31", 
                                latitude = pnts.iloc[i, 2], 
                                longitude = pnts.iloc[i ,1], scale = 30)
    sid = str(pnts.iloc[i, 3]) 
    df1["SiteID"] = sid
    df1.to_csv("D:/gee_examples/tables/ls/" + "site_" + str(pnts.iloc[i, 3]) + ".csv")

for i in siteSet:
    df2 = gee_subset.gee_subset(product =  "COPERNICUS/S2_SR", 
                                bands = ["B1", "B2", "B3", "B4", "B5", "B6", 
                                         "B7", "B8","B8A", "B9", "B11", "B12", "QA60"],
                                start_date = "2018-04-11", 
                                end_date = "2020-12-31", 
                                latitude = pnts.iloc[i, 2], 
                                longitude = pnts.iloc[i ,1], scale = 10)
    sid = str(pnts.iloc[i, 3]) 
    df2["SiteID"] = sid
    df2.to_csv("D:/gee_examples/tables/s2/" + "site_" + str(pnts.iloc[i, 3]) + ".csv")






